Package Gnumed :: Package timelinelib :: Package features :: Package experimental :: Module experimentalfeatures :: Class ExperimentalFeatures |
[frames] | no frames]

# Class ExperimentalFeatures

source code

    object --+
             |
            ExperimentalFeatures

Instance Methods
__str__(self) Formats the configuration string for all experimental features, which is a semicolon separated list of feature configurations. | source code
get_all_features(self) | source code
set_active_state_on_all_features_from_config_string(self, cfg_string) | source code
set_active_state_on_feature_by_index(self, feature_index, value) | source code
set_active_state_on_feature_by_name(self, name, value) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __str__(self) (Informal representation operator) | source code
    Formats the configuration string for all experimental features,
    which is a semicolon separated list of feature configurations.
       features-configuration ::= (feature-configuration ';')*
       feature-configuration ::=  feature-name  '='  ('True'|'False')
Overrides: object.__str__